Topic
  • 1 reply
  • Latest Post - ‏2013-07-15T22:04:02Z by GarlandJoseph
76TU_Luis_Eduardo_Carosi
1 Post

Pinned topic GCC on AIX 7.1

‏2013-07-01T22:49:22Z |

Hello there,

I've installed GCC on AIX 7.1 but I am getting some errors when compiliing db-6.0.20 as follow:

checking for sh... /usr/bin/sh
checking for a BSD-compatible install... ../dist/install-sh -c
checking whether the C compiler works... no
configure: error: in `/src/db-6.0.20/build_unix':
configure: error: C compiler cannot create executables
See `config.log' for more details

 

The binary of gcc is installed and available on /usr/bin/gcc, I have also exported CC using 'export CC=gcc' or 'export CC='/usr/bin/gcc'' but even after this the same error is showed.

From config.log I got it:

configure:5307: /usr/bin/gcc --version >&5
gcc (GCC) 4.8.1
Copyright (C) 2013 Free Software Foundation, Inc.
This is free software; see the source for copying conditions.  There is NO
warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

configure:5318: $? = 0
configure:5307: /usr/bin/gcc -v >&5
Using built-in specs.
COLLECT_GCC=/usr/bin/gcc
COLLECT_LTO_WRAPPER=/opt/freeware/libexec/gcc/powerpc-ibm-aix7.1.0.0/4.8.1/lto-wrapper
Target: powerpc-ibm-aix7.1.0.0
Configured with: ../gcc-4.8.1/configure --with-as=/usr/bin/as --with-ld=/usr/bin/ld --enable-languages=c,c++,fortran --prefix=/opt/freewa
re --mandir=/opt/freeware/man --infodir=/opt/freeware/info --enable-version-specific-runtime-libs --disable-nls --enable-decimal-float=dp
d --host=powerpc-ibm-aix7.1.0.0
Thread model: aix
gcc version 4.8.1 (GCC)
configure:5318: $? = 0
configure:5307: /usr/bin/gcc -V >&5
gcc: error: unrecognized command line option '-V'
gcc: fatal error: no input files
compilation terminated.
configure:5318: $? = 1
configure:5307: /usr/bin/gcc -qversion >&5
gcc: error: unrecognized command line option '-qversion'
gcc: fatal error: no input files
compilation terminated.
configure:5318: $? = 1
configure:5338: checking whether the C compiler works
configure:5360: /usr/bin/gcc -O2 -qalias=noansi  -D_THREAD_SAFE  -Wl,-brtl conftest.c  >&5
gcc: error: unrecognized command line option '-qalias=noansi'
configure:5364: $? = 1
configure:5402: result: no
configure: failed program was:
| /* confdefs.h */
| #define PACKAGE_NAME "Berkeley DB"
| #define PACKAGE_TARNAME "db-6.0.20"
| #define PACKAGE_VERSION "6.0.20"
| #define PACKAGE_STRING "Berkeley DB 6.0.20"
| #define PACKAGE_BUGREPORT "Oracle Technology Network Berkeley DB forum"
| #define PACKAGE_URL ""
| #define HAVE_ATOMICFILEREAD 1
| #define HAVE_UPGRADE_SUPPORT 1
| /* end confdefs.h.  */
|
| int
| main ()

 

Need somehow disable it:

-qalias=noansi from/usr/bin/gcc -O2 -qalias=noansi  -D_THREAD_SAFE  -Wl,-brtl conftest.c  >&5

But didn't find yet the solution. If you guys give me any direction it would be very appreciated.

Thanks in advance!

Luis

Updated on 2013-07-02T00:01:23Z at 2013-07-02T00:01:23Z by 76TU_Luis_Eduardo_Carosi
  • GarlandJoseph
    GarlandJoseph
    153 Posts

    Re: GCC on AIX 7.1

    ‏2013-07-15T22:04:02Z  

    how did you install gcc and did you check the success of the install